public inbox for network@lists.ipfire.org
 help / color / mirror / Atom feed
From: Stefan Schantl <stefan.schantl@ipfire.org>
To: network@lists.ipfire.org
Subject: [network] [PATCH] pppoe-server: Check for valid network
Date: Thu, 15 Oct 2015 15:49:52 +0200	[thread overview]
Message-ID: <1444916992-7458-1-git-send-email-stefan.schantl@ipfire.org> (raw)

[-- Attachment #1: Type: text/plain, Size: 775 bytes --]

The pppoe-server did not proper check if a valid
IPv4 or IPv6 network has been specified.

Signed-off-by: Stefan Schantl <stefan.schantl(a)ipfire.org>
---
 src/hooks/configs/pppoe-server | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/src/hooks/configs/pppoe-server b/src/hooks/configs/pppoe-server
index 1ef3ba9..ac9b90a 100644
--- a/src/hooks/configs/pppoe-server
+++ b/src/hooks/configs/pppoe-server
@@ -42,6 +42,12 @@ hook_check_config_settings() {
 	assert isset SUBNET
 	assert isset MAX_SESSIONS
 
+	# Check input.
+	if ! ip_is_network "${SUBNET}"; then
+		log ERROR "Invalid subnet. Please provide a valid IPv6 or IPv4 network."
+		return ${EXIT_ERROR}
+	fi
+
 	local server
 	for server in ${DNS_SERVERS}; do
 		assert ipv4_is_valid "${server}"
-- 
2.4.3


             reply	other threads:[~2015-10-15 13:49 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-15 13:49 Stefan Schantl [this message]
2015-10-15 14:50 ` Michael Tremer
2015-11-06 15:00   ` Michael Tremer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1444916992-7458-1-git-send-email-stefan.schantl@ipfire.org \
    --to=stefan.schantl@ipfire.org \
    --cc=network@lists.ipfire.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox